//---------------------------------------------------------------------------
//	Conditional Filter for VirtualDub - implements simple branching
//	Copyright (C) 2001-2003 Dmitri Schamschurko
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
//      The author can be contacted at:
//      Dmitri Schamschurko
//      dc1@tcs.inf.tu-dresden.de
//
//      Version 1.0     Oktober 2001
//      Version 2.0     March 2003
//---------------------------------------------------------------------------

#ifndef f_ConditionMonitorH
#define f_ConditionMonitorH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include "PERFGRAP.h"

const WM_AddValue   = WM_USER + 11;
const WM_Update     = WM_USER + 12;
const WM_Condition  = WM_USER + 13;

class CNumeric;
#include "f_ConditionData.h"
//---------------------------------------------------------------------------
class TMonitorDlg : public TForm
{
__published:	// IDE-managed Components
        TListView *ExternalList;
        TListView *MonitorList;
        TButton *Button1;
        TButton *Button2;
        TButton *Button3;
        TLabel *Label1;
        TLabel *ConditionLabel;
        TPerformanceGraph *PG;
        void __fastcall Button1Click(TObject *Sender);
        void __fastcall FormActivate(TObject *Sender);
        void __fastcall FormDestroy(TObject *Sender);
        void __fastcall MonitorListDblClick(TObject *Sender);
        void __fastcall MonitorListChange(TObject *Sender, TListItem *Item,
          TItemChange Change);
        void __fastcall ExternalListChange(TObject *Sender,
          TListItem *Item, TItemChange Change);
        void __fastcall Button2Click(TObject *Sender);
        void __fastcall Button3Click(TObject *Sender);
protected:
        void __fastcall WMAddValue(TMessage &Message);
        void __fastcall WMUpdate(TMessage &Message);
        void __fastcall WMCondition(TMessage &Message);
        BEGIN_MESSAGE_MAP
          MESSAGE_HANDLER(WM_AddValue, TMessage, WMAddValue)
          MESSAGE_HANDLER(WM_Update,   TMessage, WMUpdate)
          MESSAGE_HANDLER(WM_Condition,TMessage, WMCondition)
        END_MESSAGE_MAP(TForm)

private:	// User declarations
       void MakeChain();
       void MakeItem(TListItem* Item);
       CFD* mfd;
       int  PGCounter;
public:		// User declarations
        __fastcall TMonitorDlg(TComponent* Owner, CFD* vmfd);
        CNumeric* pMonitorValues;
};
//---------------------------------------------------------------------------
//extern PACKAGE TMonitorDlg *MonitorDlg;
//---------------------------------------------------------------------------
#endif

