//---------------------------------------------------------------------------
//	Conditional Filter for VirtualDub - implements simple branching
//	Copyright (C) 2001-2003 Dmitri Schamschurko
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
//      The author can be contacted at:
//      Dmitri Schamschurko
//      dc1@tcs.inf.tu-dresden.de
//
//      Version 1.0     Oktober 2001
//      Version 2.0     March 2003
//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "f_ConditionMonitorValue.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
//TMonitorValueDlg *MonitorValueDlg;
//---------------------------------------------------------------------------
__fastcall TMonitorValueDlg::TMonitorValueDlg(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TMonitorValueDlg::ColorShapeMouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y)
{
  ColorDialog->Color = ColorShape->Brush->Color;
  if (ColorDialog->Execute())
    ColorShape->Brush->Color = ColorDialog->Color;
}

//---------------------------------------------------------------------------
extern "C" CNumeric* parseNumeric(const char* pLine);
void __fastcall TMonitorValueDlg::Button1Click(TObject *Sender)
{
  Numeric = parseNumeric(ValueField->Text.c_str());
  if (!Numeric) {
    ModalResult = mrNone;
    Beep();
    MessageBox(Handle, "Value cannot be parsed!", "Error", MB_OK | MB_ICONERROR);
  } else {
    NumericText = ValueField->Text.Trim();
    NumericColor = ColorShape->Brush->Color;
  }
}
//---------------------------------------------------------------------------
void __fastcall TMonitorValueDlg::FormActivate(TObject *Sender)
{
//
  if (NumericText == "")
    DeleteButton->Enabled = false;
  else {
    ValueField->Text = NumericText;
    ColorShape->Brush->Color = NumericColor;
  }
}
//---------------------------------------------------------------------------


